RDKit::MolEnumerator::MolEnumeratorParams Struct Reference

Parameters used to control the molecule enumeration. More...

`#include <MolEnumerator.h>`

## Public Attributes

bool | sanitize = false
size_t | maxToEnumerate = 1000
bool | doRandom = false
int | randomSeed = -1
std::shared_ptr< MolEnumeratorOp > | dp_operation

## Detailed Description

Parameters used to control the molecule enumeration.

Definition at line 234 of file MolEnumerator.h.

## Member Data Documentation

## doRandom

bool RDKit::MolEnumerator::MolEnumeratorParams::doRandom = false

Definition at line 237 of file MolEnumerator.h.

## dp_operation

std::shared_ptr<MolEnumeratorOp> RDKit::MolEnumerator::MolEnumeratorParams::dp_operation

Definition at line 239 of file MolEnumerator.h.

## maxToEnumerate

size_t RDKit::MolEnumerator::MolEnumeratorParams::maxToEnumerate = 1000

Definition at line 236 of file MolEnumerator.h.

## randomSeed

int RDKit::MolEnumerator::MolEnumeratorParams::randomSeed = -1

Definition at line 238 of file MolEnumerator.h.

## sanitize

bool RDKit::MolEnumerator::MolEnumeratorParams::sanitize = false

Definition at line 235 of file MolEnumerator.h.

The documentation for this struct was generated from the following file:

- MolEnumerator.h